import requests


class Account:

    def __init__(self, account_id, token, hq='http://localhost:8080'):
        self.hq = hq
        self.account_id = account_id
        self.token = token

    def get_ttp(self, identifier=None):
        """ Get all Prelude professional TTPs """
        headers = dict(accountID=self.account_id, token=self.token)
        res = requests.get('%s/prelude/ttp' % self.hq, headers=headers, params=dict(id=identifier))
        if res.status_code == 200:
            return res.json()
        raise Exception('Failed to get procedures: %s' % res.text)
